mp3splt-gtk

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
splt_progres Struct Reference

`#include <mp3splt.h>`

Collaboration diagram for splt_progres:
[legend]

## Data Fields

int | current_split
char | filename_shorted [512]
int | max_splits
float | percent_progress
void(* | progress )(struct splt_progres *)
int | progress_text_max_char
int | progress_type
float | silence_db_level
int | silence_found_tracks
int | user_data

## Detailed Description

The data structure for the progress bar.

The meanings of the values are:

float = fraction in percent char * = string (name on the progress bar)

Definition at line 304 of file mp3splt.h.

## Field Documentation

int splt_progres::current_split

the splitpoint we are currently splitting

Definition at line 315 of file mp3splt.h.

Referenced by change_window_progress_bar().

char splt_progres::filename_shorted[512]

Name of the file we are currently splitting.

Definition at line 311 of file mp3splt.h.

Referenced by change_window_progress_bar().

int splt_progres::max_splits

the maximum number of splits

Definition at line 317 of file mp3splt.h.

Referenced by change_window_progress_bar().

float splt_progres::percent_progress

the current percent of the progress

Definition at line 313 of file mp3splt.h.

Referenced by change_window_progress_bar().

void(* splt_progres::progress)(struct splt_progres *)

A pointer to the callback function.

Definition at line 337 of file mp3splt.h.

int splt_progres::progress_text_max_char

maximum number of characters for the filename

(without the extension) when displaying the progress warning; default is 40

Definition at line 309 of file mp3splt.h.

int splt_progres::progress_type

the progress bar type

can be:

- SPLT_PROGRESS_PREPARE
- SPLT_PROGRESS_CREATE
- SPLT_PROGRESS_SEARCH_SYNC
- SPLT_PROGRESS_SCAN_SILENCE

Definition at line 325 of file mp3splt.h.

Referenced by change_window_progress_bar().

float splt_progres::silence_db_level

The silence leven in dB.

Definition at line 329 of file mp3splt.h.

Referenced by change_window_progress_bar().

int splt_progres::silence_found_tracks

infos for the silence split

Definition at line 327 of file mp3splt.h.

Referenced by change_window_progress_bar().

int splt_progres::user_data

use this variable as you wish

this variable will not be modified by the library but it will be 0 at the start

Definition at line 335 of file mp3splt.h.

The documentation for this struct was generated from the following file:

- mp3splt.h